import { ArgumentValue, CdmCorpusContext, CdmObject, cdmObjectSimple, cdmObjectType, CdmParameterDefinition, resolveOptions, VisitCallback } from '../internal';
export declare class CdmArgumentDefinition extends cdmObjectSimple {
    private TAG;
    explanation: string;
    name: string;
    value: ArgumentValue;
    /**
     *  @internal
     */
    unresolvedValue: ArgumentValue;
    /**
     *  @internal
     */
    resolvedParameter: CdmParameterDefinition;
    static get objectType(): cdmObjectType;
    constructor(ctx: CdmCorpusContext, name: string);
    getObjectType(): cdmObjectType;
    copy(resOpt?: resolveOptions, host?: CdmObject): CdmArgumentDefinition;
    validate(): boolean;
    getExplanation(): string;
    setExplanation(explanation: string): string;
    getValue(): ArgumentValue;
    setValue(value: ArgumentValue): void;
    getName(): string;
    /**
     * @internal
     */
    getParameterDef(): CdmParameterDefinition;
    visit(pathFrom: string, preChildren: VisitCallback, postChildren: VisitCallback): boolean;
}
